""" Configuration module """

__version__ = "$Revision: 1.20 $"
# $Source: /home/vladap/src/mysqlUserFolder/RCS/cfg.py,v $
#
# $Author: vladap $
# $Date: 2002/03/01 15:34:06 $


# --------------------------------------------------------------------- */
# Parameters

DEBUG = 0

DTML_USER_DIR='dtml.user'
REQUEST_RADDR_FIELD="REMOTE_ADDR"

# --------------------------------------------------------------------- */
# Validation parameters

VALIDATE_ALWAYS_SUPER = 0
VALIDATE_ONLY_ANONYMOUS = 0

VALIDATE_IGNORE_ROLES = []

# --------------------------------------------------------------------- */
# Cashing parameters
# LIFE parameters are in seconds.

CACHE_SESSIONS = 1
CACHE_SESSIONS_LIFE = 600
CACHE_USERS = 1
CACHE_USERS_LIFE = 60
CACHE_TOKENS = 1
CACHE_TOKENS_LIFE = 60

# --------------------------------------------------------------------- */
# Cookies
# TIMEOUT and LIFE parameters are in seconds

USER_TOKEN_TIMEOUT = -1			# No timeout
USER_TOKEN_LIFE = 2592000		# 30 days

SESSION_TOKEN_TIMEOUT = 900 	# 15 mins
SESSION_TOKEN_LIFE = 36000		# 10 hours
SESSION_LOG = 1

COOKIE_PATH="/"
COOKIE_USE_REALM = 0

COOKIE_MIN_EXPIRE=7200			# 2 hours
								# This parameter defines minimum expiry
								# time mysql user folder
								# will send to browsers.

# --------------------------------------------------------------------- */
# Field sizes

FSIZE_USERNAME = 60
FSIZE_EMAIL = 60
FSIZE_REALNAME = 50
FSIZE_PASSWORD = 20

# --------------------------------------------------------------------- */
# Internal constants

ZOPE_ANONYMOUS_ROLE = 'Anonymous'
ZOPE_AUTHENTICATED_ROLE = 'Authenticated'

ZOPE_SYSTEM_ROLES = ['Anonymous', 'Authenticated', 'mysqlRole']

VDB_INVALID_ID = -1				# Invalid id for users and sessions.

TOKEN_RNDSTR_LEN=30

COOKIE_MONTH_NAMES=['Jan', 'Feb', 'Mar', 'Apr', 'May', 
							'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
COOKIE_DAY_NAMES=['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun']

MISC_DATA_EMPTY = (0, "")



